import { type DomainEvent } from '@modules/shared';

export class TransferListingUpdatedEvent implements DomainEvent {
  readonly eventName = 'transfer_listing.updated';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
  ) {}
}
